Skip to content
This repository
Browse code

Prepare for v0.9.0 release

  • Loading branch information...
commit 1633e0aa2a003fb8588f6f8648012a03b7e9075b 1 parent d0b2c56
John Whitley authored

Showing 3 changed files with 13 additions and 2 deletions. Show diff stats Hide diff stats

  1. +6 0 CHANGELOG.md
  2. +1 1  Gemfile.lock
  3. +6 1 README.md
6 CHANGELOG.md
Source Rendered
... ... @@ -1,6 +1,12 @@
1 1 <!--
2 2 Marked Style: GitHub
3 3 -->
  4 +# v0.9.0
  5 +
  6 +- **BREAKING CHANGE**: Upgrade RequireJS and r.js to v2.0.0
  7 +- order.js was removed. See the new [RequireJS 2.0 shim config](https://github.com/jrburke/requirejs/wiki/Upgrading-to-RequireJS-2.0#wiki-shim).
  8 +- Build support for `empty:` is now handled by r.js 2.0 natively.
  9 +
4 10 # v0.8.2
5 11
6 12 - Fix for `requirejs_include_tag` error when `config/requirejs.yml` has no
2  Gemfile.lock
... ... @@ -1,7 +1,7 @@
1 1 PATH
2 2 remote: .
3 3 specs:
4   - requirejs-rails (0.8.2)
  4 + requirejs-rails (0.9.0)
5 5 railties (>= 3.1.1, < 3.3)
6 6
7 7 GEM
7 README.md
Source Rendered
@@ -264,6 +264,11 @@ Usage changes that may break functionality for those upgrading along the 0.x
264 264 series are documented here. See [the Changelog](https://github.com/jwhitley/requirejs-rails/blob/master/CHANGELOG.md) for the full
265 265 list of feature additions, bugfixes, etc.
266 266
  267 +### v0.9.0
  268 +
  269 +- The upgrade to RequireJS and r.js 2.0 includes changes that will break some
  270 + apps.
  271 +
267 272 ### v0.5.1
268 273
269 274 - `requirejs_include_tag` now generates a data-main attribute if given an argument, ala:
@@ -291,4 +296,4 @@ to see what's upcoming and to file feature requests and bug reports.
291 296
292 297 ----
293 298
294   -Copyright 2011 John Whitley. See the file MIT-LICENSE for terms.
  299 +Copyright 2011-2012 John Whitley. See the file MIT-LICENSE for terms.

0 comments on commit 1633e0a

Please sign in to comment.
Something went wrong with that request. Please try again.